Bug 439275 - yum reget is broken
yum reget is broken
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i686 Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 16:28 EDT by Jake Edge
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 03:00:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jake Edge 2008-03-27 16:28:45 EDT
Description of problem:

Was trying to do a F8 -> rawhide update using yum, ran into multiple problems
with being unable to get the right versions of rpm, see
http://fpaste.org/paste/1551 for an example.

Got on fedora-devel on irc and skvidal and i tried various things.  He
eventually gave me a yumRepo.py file that fixed the problem.  

Version-Release number of selected component (if applicable):

it happened with yum.3.2.8 (which is what i started with) and also yum.3.2.13
(which i picked up via yum as we were diagnosing)


How reproducible:

For me, today, very.


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Seth Vidal 2008-03-28 02:28:40 EDT
Here's what's happening:
1. a package is being partially downloaded. 
2. yum sees the size of the file is less than what the file's total size should
be and it is keeping the partial download in hope that it can fill up the rest
of it and make a complete rpm
3. The partial download, however, is corrupt for one reason or another.
4. urlgrabber fills up the file the rest of the way, tests it, sees it is
bad/wrong and attempts to try some more. But it can't stop trying to fill it up
eventhough the file is 'full'. This might be considered a bug in urlgrabber but
I think we can work around it in yum by having the verifyPkg() method unlink a
file if:
    a. it fails the checksum test
    b. if the file is >= the expected size of the file.

I will however raise this issue with the urlgrabber maintainer, see if he thinks
it is insane or not.
Comment 2 Seth Vidal 2008-03-28 03:00:04 EDT
and fixed in yum for now. I still wanna know if this is a bug in urlgrabber or
on purpose. :)

Note You need to log in before you can comment on or make changes to this bug.